## ros-indigo-cob-undercarriage-ctrl 0.6.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_undercarriage_ctrl)

find_package(catkin REQUIRED COMPONENTS cob_msgs cob_utilities control_msgs diagnostic_msgs diagnostic_updater geometry_msgs nav_msgs roscpp tf)

catkin_package()

### BUILD ###
include_directories(common/include ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} common/src/UndercarriageCtrlGeom.cpp)

add_executable(${PROJECT_NAME}_node ros/src/${PROJECT_NAME}.cpp)
add_dependencies(${PROJECT_NAME}_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_node ${PROJECT_NAME} ${catkin_LIBRARIES})

### INSTALL ###
install(TARGETS ${PROJECT_NAME}  ${PROJECT_NAME}_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-undercarriage-ctrl (0.6.12-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-undercarriage-ctrl (0.6.11-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Matthias Gruhler <mig@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-undercarriage-ctrl (0.6.10-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-indigo-cob-undercarriage-ctrl (0.6.9-0trusty) trusty; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-undercarriage-ctrl (0.6.8-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-undercarriage-ctrl (0.6.7-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-indigo-cob-undercarriage-ctrl (0.6.6-0trusty) trusty; urgency=high

  * fix frame id for odometry
  * Contributors: ipa-cob4-2

 -- Matthias Gruhler <mig@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-undercarriage-ctrl (0.6.5-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-undercarriage-ctrl (0.6.4-0trusty) trusty; urgency=high

  * install tags for libraries
  * do not install headers in executable-only packages
  * explicit dependency to boost
  * remove obsolete autogenerated mainpage.dox files
  * remove trailing whitespaces
  * add_dependencies EXPORTED_TARGETS
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-undercarriage-ctrl (0.6.3-0trusty) trusty; urgency=high

  * now checking for NaN-values in Twist message
  * Contributors: Thorsten Kannacher

 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-undercarriage-ctrl (0.6.2-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-cob-undercarriage-ctrl (0.6.1-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-indigo-cob-undercarriage-ctrl (0.6.0-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 08 Sep 2014 22:00:00 -0000

ros-indigo-cob-undercarriage-ctrl (0.5.7-0trusty) trusty; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * 0.5.6
  * update changelog
  * move EmergencyStopState.msg to cob_msgs + PowerBoardState works again
  * Merge branch 'hydro_dev' of github.com:ipa-fxm/cob_driver into indigo_dev
  * cob_undercarriage_ctrl: add parameter to disable tf broadcast
  * updated default values for maximal velocities in ucar_ctrl_watchdog
  * fixed indentation cob_undercarriage_ctrl.cpp
  * updated watchdog in ucar ctrl to stop in case we receive a really high command in at least one direction
  * added missing absolute value functions to velocity watchdog in undercarriage_control
  * beautification of some outputs in undercarriage control
  * corrected some typos and minor bugs
  * split maximal allowed velocity in undercarriage control in translational and rotaional part. set velocity to zero, if the maximal allowed velocity is exceeded.
  * first draft for undercarriage_control velocity-watchdog. not tested yet.
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * fix install tags
  * remove deprecated launch files in cob_driver and add nodes to cob_robots
  * Contributors: Alexander Bubeck, Felix Messmer, Florian Mirus, Florian Weisshardt, ipa-fxm, ipa-mig

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-indigo-cob-undercarriage-ctrl (0.5.6-0trusty) trusty; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * move EmergencyStopState.msg to cob_msgs + PowerBoardState works again
  * Merge branch 'hydro_dev' of github.com:ipa-fxm/cob_driver into indigo_dev
  * cob_undercarriage_ctrl: add parameter to disable tf broadcast
  * updated default values for maximal velocities in ucar_ctrl_watchdog
  * fixed indentation cob_undercarriage_ctrl.cpp
  * updated watchdog in ucar ctrl to stop in case we receive a really high command in at least one direction
  * added missing absolute value functions to velocity watchdog in undercarriage_control
  * beautification of some outputs in undercarriage control
  * corrected some typos and minor bugs
  * split maximal allowed velocity in undercarriage control in translational and rotaional part. set velocity to zero, if the maximal allowed velocity is exceeded.
  * first draft for undercarriage_control velocity-watchdog. not tested yet.
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * fix install tags
  * remove deprecated launch files in cob_driver and add nodes to cob_robots
  * Contributors: Alexander Bubeck, Felix Messmer, Florian Mirus, Florian Weisshardt, ipa-fxm, ipa-mig

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-indigo-cob-undercarriage-ctrl (0.5.3-0trusty) trusty; urgency=high

  * removed obsoledte OpenCV reference
  * install tags
  * Contributors: ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

ros-indigo-cob-undercarriage-ctrl (0.5.2-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Wed, 19 Mar 2014 23:00:00 -0000



=== debian/control ===
Source: ros-indigo-cob-undercarriage-ctrl
Section: misc
Priority: extra
Maintainer: Matthias Gruhler <mig@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cob-msgs, ros-indigo-cob-utilities, ros-indigo-control-msgs, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-tf
Homepage: http://ros.org/wiki/cob_undercarriage_ctrl
Standards-Version: 3.9.2

Package: ros-indigo-cob-undercarriage-ctrl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cob-msgs, ros-indigo-cob-utilities, ros-indigo-control-msgs, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-tf
Description: cob_undercarriage_ctrl implements a controller for the omnidirectional base of Care-O-bot 3 on joint level.
 For a given Pltf-Twist the according wheel steering angles and linear wheel velocities are calculated based on the principle of rigid body motion. Each joint is than controlled individually to achieve the computed position and velocity

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-undercarriage-ctrl//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
